package com.admin.major.service;

import java.util.List;
import com.admin.major.domain.MajorApply;

/**
 * 专业分流申请Service接口
 *
 * @author zewei
 * @date 2022-03-26
 */
public interface IMajorApplyService
{
    /**
     * 查询专业分流申请
     *
     * @param majorApplyId 专业分流申请主键
     * @return 专业分流申请
     */
    public MajorApply selectMajorApplyByMajorApplyId(String majorApplyId);

    /**
     * 查询专业分流申请列表
     *
     * @param majorApply 专业分流申请
     * @return 专业分流申请集合
     */
    public List<MajorApply> selectMajorApplyList(MajorApply majorApply);

    MajorApply selectOneMajorApply(MajorApply majorApply);

    /**
     * 新增专业分流申请
     *
     * @param majorApply 专业分流申请
     * @return 结果
     */
    public int insertMajorApply(MajorApply majorApply);

    /**
     * 修改专业分流申请
     *
     * @param majorApply 专业分流申请
     * @return 结果
     */
    public int updateMajorApply(MajorApply majorApply);

    /**
     * 批量删除专业分流申请
     *
     * @param majorApplyIds 需要删除的专业分流申请主键集合
     * @return 结果
     */
    public int deleteMajorApplyByMajorApplyIds(String[] majorApplyIds);

    /**
     * 删除专业分流申请信息
     *
     * @param majorApplyId 专业分流申请主键
     * @return 结果
     */
    public int deleteMajorApplyByMajorApplyId(String majorApplyId);

    void updateMajorApplyStatus(String year, Long collegeId);
}
